 /*
 * file      : configuser.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2011 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 * 
 * This file is part of BASEBUILD.
 * 
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __config_h__
#define __config_h__ 1


#include <gtk/gtk.h>

typedef struct {
	gboolean	BoolConfigOk;		// Attendre la fin de la config.: Voir main.c
	gchar		*PathDest;			// 
	gchar		*PathGlade;		// 
	gchar		*NameFileGlade;		// 
	gchar		*NameProject;		// 
	gint		WinPos_X;		// 
	gint		WinPos_Y;		// 
	gint		WinWidth;		// 
	gint		WinHeight;		// 
	gint		Page;			// 
	
	gint		Version_A;
	gint		Version_B;
	gint		Version_C;
	
} VAR_CONFIG;

extern VAR_CONFIG Config;

void config_read(void);
void config_save (void);
void config_remove (void);


#endif

