 /*
 * file      : libbasebuild.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * OLD ADRESS:
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * NEW ADRESS:
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#ifndef __libbasebuild_h__
#define __libbasebuild_h__ 1

gboolean 	libutils_test_file_exist (gchar *File);
gboolean 	libutils_test_dir_exist (gchar *File);
void     	libutils_set_default_icone_to_win (GtkWidget *win);
gboolean 	libutils_find_file (gchar *p_find_file);
size_t		libutils_get_size_file (char *PathName);
gboolean	libutils_copy_src_to_dest (gchar *filesrc, gchar *filedest);

void    	libcombo_remove (void);
void    	libcombo_alloc (GtkComboBox *p_combo);
void		libcombo_remove_options (GtkComboBox *p_combo);

#endif

